Pre-Development - Feature #19954

ACL Function and System
01 March 2024 10:18 AM - Farid Nazmi

Status: Resolved Start date: 01 March 2024
Priority: Normal Due date:

Assignee: chok yee fan % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Prepare Web service for ACL to be pass to front end :

2 ws in the acl
- ACL Function
- ACL System

History

#1 - 01 March 2024 10:37 AM - Farid Nazmi
- Status changed from New to In Progress

- % Done changed from 0 to 50

ACL Function List Web Service
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d4ea881636¢c8c93244a70767f426427061aad904

WS Name : getACLFunctionAction
api path : /api/ACL/getACLFunctionAction

req body: {}
resp body :

{

"responseTimestamp": "2024-03-01T11:11:49.505+08:00",
"headerBean": null,

"responseCode": "00300",
"responseMessage": "Success OK.",
"sessionID": null,

"tranxID": "25798151",
"bdResponseCode": null,
"bdResponseMessage": null,
"aclBean": null,

"aclsystemList": null,

"aclfunctionList": [
"FUNC_GET_COUNTRY",
"FUNC_LIST_COUNTRY",
"FUNC_SAVE_COUNTRY",
"FUNC_SAVE_UPDATE_COUNTRY"

I,
"bdobject": null

}
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d4ea881636c8c93244a70767f426427061aad904

#2 - 01 March 2024 10:38 AM - Farid Nazmi
- % Done changed from 50 to 100

ACL System List Web Service

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d4ea881636¢c8c93244a70767f426427061aad904

WS Name : getACLSystemAction
api path : /api/ACL/getACLSystemAction

req body: {}
resp body:

{

"responseTimestamp": "2024-03-01T10:47:44.302+08:00",
"headerBean": null,
"responseCode": "00300",
"responseMessage": "Success OK.",
"sessionID": null,

"tranxID": "62028629",
"bdResponseCode": null,
"bdResponseMessage": null,
"aclBean": null,

"aclsystemList": [

"MLEB_AM",

"MLEB_COMMON",

"MLEB_IAM",

"MLEB_MAM"

1,

"aclfunctionList": null,

"bdobject": null

}

#3 - 01 March 2024 11:11 AM - Farid Nazmi

- Assignee changed from Farid Nazmi to Amirul Umar Pandai

#4 - 05 March 2024 09:44 AM - Farid Nazmi
to test the ACL WS in your local,

you will need to setup adding data first in:
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d4ea881636c8c93244a70767f426427061aad904

1. user system ( details info is below this chat).

2. user role (adding role name to be used in the urf request body)

3. user role function ( can use the screen if already implemented/ use ws) :

- first use saveFunctionCodeTempAction and then saveFunctionCodeAction

- the role name need to input the same as what you have in the user role table

*Notes: make sure your user profile local data has your current keycloak login.

#5 - 05 March 2024 04:48 PM - Farid Nazmi

Here are the details step

1. adding user system assignment ( user system data )

ws : api/mlebSystemWSs/saveUserSystemAssigmentAction
req body :

{
"mlebSystemEntity": {
"systemCode": "MLEB_MAM",
"status": "A"

|3

"userProfileBean": {
"userld": "sysuser",
"effectiveDate": null,
"expiryDate": null,
"selected" : true

1

1

resp body :

{

"responseTimestamp": "2024-03-05T16:49:30.091+08:00",
"headerBean": null,

"responseCode": "00300",

"responseMessage": "Success OK.",

"sessionID": null,

"tranxID": "68542567",

"bdResponseCode": null,

"bdResponseMessage": null,

"mlebSystemBean": null,

"mlebSystemEntity": {

"systemCode": "MLEB_MAM",

"systemName": null,

"systemGroupCode": null,

"path": null,

"rootContext": null,

"iconPath": null,

"csslcon”: null,

"sequence": null,

"toDisplay": null,

"status": "A",

"createDt": null,

"createBy": null,

"modifyDt": null,

"modifyBy": null,

"mlebSystemGroupEntity": null,

"svglcon": null

1
"statusSelectltems": null,
"userProfileSearchParamBean": null,
"orgProfileHierarchyBean": null,
"userProfileBean": null,
"bdobject": null

}
#6 - 05 March 2024 05:16 PM - Farid Nazmi

2. adding user role

ws name : createAction
api path : /api/userRoleWs/createAction

req body :
{

"userRoleEntity": {

"systemCode": "MLEB_IAM",

"userRoleName": "Pegawai testingggggghgfdfghjkhgfg",
"userRoleDesc": "Memantau",

"status": "A"

}

userRoleBean": {
"orgld": 1

}

}

resp body :

{

"responseTimestamp": "2024-03-07T10:45:34.543+08:00",

"headerBean": {

"servicelD": "FUNC_SAVE_USER_ROLE",
"requestinfo": null,

"bdvmurl": null,

"bddispatchURL": null

|3
"responseCode": "00300",
"responseMessage": "Success OK.",
"sessionID": null,

"tranxID": "40481438",
"bdResponseCode": null,
"bdResponseMessage": null,
"userRoleBean": {
"mandatoryFields": [

"systemCode",

"userRoleName",

"userRoleDesc",

"status"

1
"infoMessages": [],

"errorMessages": [],

"warnMessages": [],

"userRoleName": null,

"userld": null,

"orgName": null,

"orgld": 1,

"systemName": null,

"systemCode": null,

"status": null,

"functionCode": null,

"selected": null

|3

"userRoleEntity": {

"userRoleName": "Pegawai testingggggghgfdfghjkhgfg",
"systemCode": "MLEB_IAM",

"userRoleDesc": "Memantau",

"status": "A",

"createDt": "2024-03-07T10:45:34.584+08:00",
"createBy": "sysuser",

"modifyDt": null,

"modifyBy": null,

"orgld": 1,

"mlebSystemEntity": null,

"userRoleFunctionEntity": null,

"statusLabel": "Active"

|3
"mlebSystemSelectltems": [ {
"key": "MLEB_COMMON",
"value": "General"

1 {
"key": "MLEB_MAM",

"value": "Mobile Application Management"
1
"key": "MLEB_CHATBOT",
"value": "Chatbot"

1
"key": "MLEB_IAM",

"value": "Administration”

I {

"key": "MLEB_AM",

"value": "Alert Messaging"

}

1,

"userCategorySelectltems": [ {
"key": 3,

"value": "Public"

1 {

"key": 4,

"value": "System tester"

1 {

"key": 1,
"value": "System"
1 {

"key": 2,
"value": "Partner"

}

1,

"orgProfileSelectltems”: | {
"key": 1,

"value": "Level 1.3"

}
]

departmentSelectltems": null,
"statusSelectltems": [ {
"key": "A",

"value": "Active"

I3 {

"key": "X",

"value": "Inactive"

I3 {

"key": "D",

"value": "Pending Deletion"

}
]

userRoleFunctionBeanList": null,
"userProfileSearchParamBean": null,
"orgProfileHierarchyBean": null,
"mlebFunctionGroupBeans": null,
"genericTreeFactory": null,
"bdobject": null

1
#7 - 06 March 2024 10:03 AM - Farid Nazmi

3. assigning user role function
a) saving to urf temp table
web service for check/uncheck action (checkbox live fire)

ws name : saveFunctionCodeTempAction
api path : /api/userRoleWs/saveFunctionCodeTempAction

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e037bdd19540da9ceb3676476716fc84137a77¢

req body :
{

"userRoleFunctionBean": {

"userRoleName" : "Pegawai",

"selected": true,

"functionCode": "FUNC_SAVE_UPDATE_COUNTRY",
"orgld": 1

}

}

resp body :

{

"responseTimestamp": "2024-02-29T17:45:51.755+08:00",
"headerBean": null,

"responseCode": "00300",

"responseMessage": "Success OK.",

"sessionID": null,

"tranxID": "65622952",

"bdResponseCode": null,

"bdResponseMessage": null,
"userRoleFunctionTempEntity": null,
"userRoleFunctionEntity": null,
"userRoleFunctionBean": {

"mandatoryFields": [],

"infoMessages": [],

"errorMessages": [],

"warnMessages": [],

"userld": null,

"userRoleName": "Pegawai",

"orgName": null,

"orgld": 1,

"systemName": null,

"systemCode": null,

"functionCode": "FUNC_SAVE_UPDATE_COUNTRY",
"selected": true,

"mlebFunctionEntity": null,

"pk": null,

"name": null,

"status": null,

"parent": null,

"child": null,

"level": null,

"sublist": []

1
"bdobject": null

}
b) saving to original urf table
web services for save button ( final save into original user role function table )

ws name : saveFunctionCodeAction
api path : /api/userRoleWs/saveFunctionCodeAction

req body :
{
"userRoleFunctionTempEntity" : {

}
}
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e037bdd19540da9ceb36f76476716fc84137a77c

*Notes : the request body is blank because it already get from the security utils in the backend once login , no need to input

resp body:

{

"responseTimestamp": "2024-02-29T17:46:01.694+08:00",

"headerBean": null,
"responseCode": "00300",
"responseMessage": "Success OK.",
"sessionID": null,

"tranxID": "13955704",
"bdResponseCode": null,
"bdResponseMessage": null,
"userRoleFunctionTempEntity": {
"userRoleFunctionld": 74,
"userRoleName": "Pegawai",
"functionCode": "FUNC_SAVE_UPDATE_COUNTRY",
"orgld": 1,

"status": "A",

"createDt": "2024-02-29T17:45:51.755+08:00",
"createBy": "sysuser",

"modifyDt": null,

"modifyBy": null,

"userld": "sysuser",
"mlebFunctionEntity": null

|3

"userRoleFunctionEntity": null,
"userRoleFunctionBean": null,
"bdobject": null

1

#8 - 06 March 2024 02:14 PM - Farid Nazmi

4. assigning user access role

ws name : saveUserAccessRoleAction
api path : /api/userRoleWs/saveUserAccessRoleAction

req body :

{

"userRoleBean" : {
"userRoleName" : "Pegawai",
"userld" : "sysuser",

"status" : "A",

"selected" : true
}
}

resp body :

{

"responseTimestamp": "2024-03-07T10:29:44.739+08:00",
"headerBean": null,
"responseCode": "00300",
"responseMessage": "Success OK.",
"sessionID": null,

"tranxID": "53762343",
"bdResponseCode": null,
"bdResponseMessage": null,
"userRoleBean": {
"mandatoryFields": [],
"infoMessages": [],
"errorMessages": [],
"warnMessages": [],
"userRoleName": "Pegawai",
"userld": "sysuser",

"orgName": null,

"orgld": null,

"systemName": null,
"systemCode": null,

"status": "A",

"functionCode": null,

"selected": true

13

"userRoleEntity": null,
"mlebSystemSelectltems": null,
"userCategorySelectltems": null,
"orgProfileSelectltems": null,
"departmentSelectltems": null,
"statusSelectltems": null,
"userRoleFunctionBeanList": null,
"userProfileSearchParamBean": null,
"orgProfileHierarchyBean": null,
"mlebFunctionGroupBeans": null,
"genericTreeFactory": null,
"bdobject": null

}
#9 - 13 March 2024 02:51 PM - Amirul Umar Pandai
- Status changed from In Progress to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Please follow the steps in the updated READMEs to unlock permissions for all systems (MLEB_IAM, MLEB_COMMON, MLEB_AM) and functions
(view org profile, modify department, add user profile, etc.)

cc_core
- integrate ACL into cc_topnavbar
- update README to include steps to add user systems inside cc_topnavbar

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/cc5fa4dc8bdfd332226167308d96becibdedfabe

cc_iam
Use new acl instance (refer to Iatest README)

cc_common
Use new acl instance (refer to latest README)
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/3fc7d8e 1d5ca56fb60a2d35991bc1862a117704e

#10 - 20 March 2024 09:45 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/cc5fa4dc8bdfd332226f67308d96bec1b4edfa5e
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/e86cce4dd50f2027fb9a2bdfe2088d76883e7bc0
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/3fc7d8e1d5ca56fb60a2d35991bc1862a117704e
